﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.78
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public extLog As ExternalLogger
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	extLog.Initialize("ExtLog")
	
End Sub
Sub AddLOG(tag, text As String)
	Log($"ExtLOG(${tag},${text})"$)
	extLog.addLogToDB2(tag, text)
End Sub
Sub AddLOG2(tag, text As String)
	Log($"ExtLOG2(${tag},${text})"$)
	Dim logitem As ExtLog
	logitem.Initialize(tag,text)
	logitem.Time = DateTime.Now
	extLog.addLogToDB(logitem)
End Sub
Sub ExtLog_logsReturned(logs As List)	
	Log($"ExtLog_logsReturned(${logs})"$)
	For i=0 To logs.Size-1
		Dim l As ExtLog = logs.Get(i)
		Log($"ExtLOG: $datetime{l.Time}: ${l.Text}, ${l.Tag}"$)
	Next

	
End Sub
Sub ExtLog_onCompleted()
	Log($"ExtLog_onCompleted()"$)
End Sub

Sub Service_Start (StartingIntent As Intent)
	

End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
